<?xml version="1.0" encoding="UTF-8"?>
<record_update sys_domain="global" table="sys_script_client">
    <sys_script_client action="INSERT_OR_UPDATE">
        <active>true</active>
        <applies_extended>false</applies_extended>
        <condition/>
        <description/>
        <field>sys_created_on</field>
        <global>true</global>
        <messages/>
        <name>SetDefaultOrder</name>
        <order/>
        <script><![CDATA[function onLoad() {
   //Type appropriate comment here, and begin script below
	if (!g_form.getValue('order')) {
		var ga = new GlideAjax('x_9104_trivia_now.TriviaNowClient');
        ga.addParam('sysparm_name','setQuestionOrder');
        ga.addParam('sysparm_game_template',g_form.getValue('game_template'));
        ga.getXML(OrderParse);
 
  function OrderParse(response) {
   var answer = response.responseXML.documentElement.getAttribute("answer");
   g_form.setValue('order',parseInt(answer));
}
	}
   
}]]></script>
        <sys_class_name>sys_script_client</sys_class_name>
        <sys_created_by>michael.slabodnick</sys_created_by>
        <sys_created_on>2016-12-15 21:38:05</sys_created_on>
        <sys_domain>global</sys_domain>
        <sys_domain_path>/</sys_domain_path>
        <sys_id>4f5269d44f7322005ec7c3818110c74e</sys_id>
        <sys_mod_count>3</sys_mod_count>
        <sys_name>SetDefaultOrder</sys_name>
        <sys_overrides/>
        <sys_package display_value="Trivia Now" source="x_9104_trivia_now">08b986534f2322005ec7c3818110c7fc</sys_package>
        <sys_policy/>
        <sys_scope display_value="Trivia Now">08b986534f2322005ec7c3818110c7fc</sys_scope>
        <sys_update_name>sys_script_client_4f5269d44f7322005ec7c3818110c74e</sys_update_name>
        <sys_updated_by>michael.slabodnick</sys_updated_by>
        <sys_updated_on>2016-12-15 21:45:16</sys_updated_on>
        <table>x_9104_trivia_now_m2m_questions_game_templates</table>
        <type>onLoad</type>
        <ui_type>0</ui_type>
        <view/>
    </sys_script_client>
</record_update>
